# $Revision: 1.41 $, $Date: 2010/11/12 23:38:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Locations
Summary:	Data::Locations - magic insertion points in your data
Summary(pl.UTF-8):	Data::Locations - magiczne punkty wstawiania w danych
Name:		perl-Data-Locations
Version:	5.5
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
# note: "5.2-fixed" doesn't work with perl 5.8.2, plain 5.2 does
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f7d24507b1ac29dbfe414a03aff7c6bc
URL:		http://search.cpan.org/dist/Data-Locations/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data::Locations - magic insertion points in your data.

%description -l pl.UTF-8
Data::Locations - magiczne punkty wstawiania w danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt README.txt
%{perl_vendorarch}/Data/Locations.pm
%dir %{perl_vendorarch}/auto/Data/Locations
%{perl_vendorarch}/auto/Data/Locations/Locations.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Data/Locations/Locations.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Locations.spec,v $
Revision 1.41  2010/11/12 23:38:03  pawelz
- release 3

Revision 1.40  2010/06/06 08:34:03  arekm
- release 2

Revision 1.39  2009/10/20 07:02:19  amateja
- updated to 5.5

Revision 1.38  2009/03/14 11:39:39  hawk
- release 3

Revision 1.37  2008/03/23 19:37:45  qboosh
- generic URL

Revision 1.36  2008-02-10 12:06:07  arekm
- rel 2

Revision 1.35  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.34  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.32  2004/11/03 22:30:17  paladine
- formatting

Revision 1.31  2004/11/01 22:13:35  adamg
- updated to 5.4

Revision 1.30  2004/10/25 09:38:58  blaass
- updated to 5.3

Revision 1.29  2004/04/19 22:22:13  ankry
- license/description fixes

Revision 1.28  2003/12/18 14:03:18  qboosh
- revised License and doc, added tests and informative summaries

Revision 1.27  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:31:10  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:46:53  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:11:01  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:25:06  depesz
adapterized

Revision 1.12  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/04/17 12:07:36  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/30 09:01:27  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.6  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 19:34:19  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
